<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- File/Synopsis/TypeAnalysis/ConstEvaluator.hh.html -->
<!-- this view was generated by FileIndex -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/TypeAnalysis/ConstEvaluator.hh</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileIndex">
<b >Synopsis/TypeAnalysis/ConstEvaluator.hh</b>
<div><a href="../../../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html" target="content">source code</a></div>
<div><a href="../../../FileDetails/Synopsis/TypeAnalysis/ConstEvaluator.hh.html" target="content">details</a></div>
<div class="heading">Declarations</div>
Synopsis<br/>
<div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis.html" target="content" title="(namespace)">TypeAnalysis</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html" target="content" title="(class)">ConstEvaluator</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#ConstEvaluator_lconst.SymbolLookup_mScope_S_r" target="content" title="(member function)">ConstEvaluator</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#evaluate_lconst.PTree_mNode_S_clong_A_r" target="content" title="(member function)">evaluate</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#my_scope" target="content" title="(data member)">my_scope</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#my_valid" target="content" title="(data member)">my_valid</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#my_value" target="content" title="(data member)">my_value</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#visit_lPTree_mCondExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#visit_lPTree_mFstyleCastExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#visit_lPTree_mIdentifier_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#visit_lPTree_mInfixExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#visit_lPTree_mLiteral_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#visit_lPTree_mParenExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#visit_lPTree_mSizeofExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#visit_lPTree_mUnaryExpr_S_r" target="content" title="(member function)">visit</a></div></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis.html#evaluate_const_lconst.SymbolLookup_mScope_S_cconst.PTree_mNode_S_clong_A_r" target="content" title="(function)">evaluate_const</a></div></div>
</div>

</body>
</html>
